﻿/// <summary>
/// Some enums to make life easier, needed by the Live Contact API
/// Author: Shahal Hazan
/// </summary>

namespace LiveConnector
{
    /// <summary>
    /// 
    /// </summary>
    public enum PhoneType
    {
        /// <summary>
        /// Personal
        /// </summary>
        Personal,
        /// <summary>
        /// Mobile
        /// </summary>
        Mobile,
        /// <summary>
        /// Business
        /// </summary>
        Business,
        /// <summary>
        /// Other
        /// </summary>
        Other,
    }

    /// <summary>
    /// 
    /// </summary>
    public enum EmailType
    {
        /// <summary>
        /// WindowsLiveID
        /// </summary>
        WindowsLiveID,
        /// <summary>
        /// Personal
        /// </summary>
        Personal,
        /// <summary>
        /// Business
        /// </summary>
        Business,
        /// <summary>
        /// Other
        /// </summary>
        Other,
    }
}
